lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "todoplicator"
  spec.version       = "0.1.0"
  spec.authors       = ["Jared Fine"]
  spec.email         = ["jared@jfine.org"]
  spec.summary       = "Duplicate to-dos between popular to-do tools."
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard-rspec", "~> 4.7"
  spec.add_development_dependency "terminal-notifier-guard", "~> 1.7"
  spec.add_development_dependency "pry-doc", "~> 0.13"
  spec.add_development_dependency "vcr", "~> 3.0"
  spec.add_development_dependency "webmock", "~> 2.1"
  spec.add_development_dependency "rubocop", "~> 0.57"
  spec.add_development_dependency "simplecov", "~> 0.16"

  spec.add_runtime_dependency "octokit", "~> 4.0"
  spec.add_runtime_dependency "gitlab", "~> 4.4"
end
